/*
 * Analogue TV Player plugin for VDR
 *
 * Copyright (C) 2003 .. 2006 Andreas Kool <akool@gmx.de>
 *
 * This code is distributed under the terms and conditions of the
 * GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
 *
 * Version: $Id: analogtv.h,v 1.13 2005/01/09 18:16:08 akool Exp $
 * Release: $Name:  $
 *
 */

#ifndef ANALOGTV_H
#define ANALOGTV_H

class cMenuSetupAnalogtv;
class cAnalogtvDevice;

class cPluginAnalogtv : public cPlugin {
public: 
  cPluginAnalogtv(void);
  virtual ~cPluginAnalogtv();
  virtual const char *Version(void);
  virtual const char *Description(void);
  virtual bool Initialize(void);
  virtual bool Start(void);
  virtual void Housekeeping(void);
  virtual const char *MainMenuEntry(void);
  virtual cOsdMenu *MainMenuAction(void);
  virtual cMenuSetupPage *SetupMenu(void);
  virtual bool SetupParse(const char *Name, const char *Value);
  void StopEncoder(void);
private:
  cAnalogtvDevice *AnalogtvDevice;
  cAnalogtvStatus *AnalogtvStatus;
  cAnalogtvEPGhandler *AnalogtvEPGhandler;
};

#endif // ANALOGTV_H
